package net.wanji.datacenter.common;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @author duanruiming
 * @date 2023/08/07 10:57
 */
@Getter
@AllArgsConstructor
public enum TurnTypeParseEnum {
    LEFT("l", 1, "左转"),
    STRAIGHT("s", 2, "直行"),
    RIGHT("r", 3, "右转"),
    AROUND("u", 4, "掉头"),
    PERSON("ped", 20, "行人");

    private final String type;
    private final Integer code;
    private final String msg;


    public static Integer getCodeByType(String type) {
        for (TurnTypeParseEnum value : TurnTypeParseEnum.values()) {
            if (Objects.equals(value.type, type)) {
                return value.code;
            }
        }
        return null;
    }

    public static String getTypeByCode(Integer code) {
        for (TurnTypeParseEnum value : TurnTypeParseEnum.values()) {
            if (Objects.equals(value.code, code)) {
                return value.type;
            }
        }
        return "l";
    }

}
